/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.cascade;

import java.util.Collection;
import java.util.Vector;
import javax.ejb.CreateException;
import javax.ejb.EJBLocalObject;
import javax.naming.NamingException;

public interface CustomerL extends EJBLocalObject {
    Integer getId();

    Name getName();
    void setName(Name name);

    void addPhoneNumber(String number, byte type) throws NamingException, CreateException;
    void removePhoneNumber(byte typeToRemove);
    void updatePhoneNumber(String number, byte typeToUpdate);
    Vector getPhoneList();

    void addCar(String number, byte type) throws NamingException, CreateException;
    void removeCar(byte typeToRemove);
    void updateCar(String number, byte typeToUpdate);
    Vector getCarList();

    AddressL getHomeAddress();
    void setHomeAddress(AddressL address);

    CreditCardL getCreditCard();
    void setCreditCard(CreditCardL card);

    Collection getPhoneNumbers();
    void setPhoneNumbers(Collection phones);

    Collection getCars();
    void setCars(Collection cars);
}
